## install4j API documentation

## com.install4j.api.events
Class EventType

    java.lang.Object
      com.install4j.api.events.EventType

    public class EventType

extends java.lang.Object

Enumeration class that represents all different event types for instances of `InstallerEvent`. Installer events cover everything that is written to the installer log file as well as application life-cycle events.

Author:
  ej-technologies GmbH

Field Summary
`static EventType` | `AFTER_EXECUTE_ACTION` Fired after an action has been executed
`static EventType` | `AFTER_INSTALL_FILE` Fired after a file has been installed.
`static EventType` | `AFTER_ROLLBACK_ACTION` Fired after a rollback is performed
`static EventType` | `BEFORE_EXECUTE_ACTION` Fired before an action is executed
`static EventType` | `BEFORE_INSTALL_FILE` Fired before a file is installed.
`static EventType` | `BEFORE_ROLLBACK_ACTION` Fired before a rollback is performed
`static EventType` | `CANCELED` Fired just before the installer or uninstaller quits after having been cancelled.
`static EventType` | `CANCELLING` Fired when the installer or uninstaller is cancelled but before any cleanup has been performed.
`static EventType` | `FINISHED` Fired just before the installer or uninstaller quits.
`static EventType` | `FINISHING` Fired when the installer or uninstaller quits but before any cleanup has been performed.
`static EventType` | `SHOW_SCREEN` Fired before a screen is shown.
`static EventType` | `VARIABLE_CHANGED` Fired after a variable has been set.

Method Summary
`java.lang.String` | `getOperationVerbose()` Get a verbose message that describes the operation that is connected with this event.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEFORE_EXECUTE_ACTION

    public static final EventType BEFORE_EXECUTE_ACTION

  Fired before an action is executed

### AFTER_EXECUTE_ACTION

    public static final EventType AFTER_EXECUTE_ACTION

  Fired after an action has been executed

### BEFORE_ROLLBACK_ACTION

    public static final EventType BEFORE_ROLLBACK_ACTION

  Fired before a rollback is performed

### AFTER_ROLLBACK_ACTION

    public static final EventType AFTER_ROLLBACK_ACTION

  Fired after a rollback is performed

### BEFORE_INSTALL_FILE

    public static final EventType BEFORE_INSTALL_FILE

  Fired before a file is installed. The event object will be of type `InstallerFileEvent`.

### AFTER_INSTALL_FILE

    public static final EventType AFTER_INSTALL_FILE

  Fired after a file has been installed. The event object will be of type `InstallerFileEvent`.

### SHOW_SCREEN

    public static final EventType SHOW_SCREEN

  Fired before a screen is shown.

### FINISHING

    public static final EventType FINISHING

  Fired when the installer or uninstaller quits but before any cleanup has been performed.

### FINISHED

    public static final EventType FINISHED

  Fired just before the installer or uninstaller quits.

### CANCELLING

    public static final EventType CANCELLING

  Fired when the installer or uninstaller is cancelled but before any cleanup has been performed.

### CANCELED

    public static final EventType CANCELED

  Fired just before the installer or uninstaller quits after having been cancelled.

### VARIABLE_CHANGED

    public static final EventType VARIABLE_CHANGED

  Fired after a variable has been set.

  See Also:
    `Context.setVariable(String, Object)`

Method Detail

### getOperationVerbose

    public java.lang.String getOperationVerbose()

  Get a verbose message that describes the operation that is connected with this event.

  Returns:
    the message

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`